Snag Docs logo

Get users

This endpoint allows you to get users

GEThttps://admin.snagsolutions.io/api/users

This endpoint allows you to get users

Loading code example
Loading code example

Authorizations

apiKeyAuthstringheaderrequired

API key passed in the header.

Query Parameters

websiteIdstring<uuid>

The ID of the website

organizationIdstring<uuid>

The ID of the organization

walletAddressstring

The wallet address of the user

startingAfterstring<uuid>

Pagination cursor to start after a specific user ID

limitinteger

Number of users to return

Required range: x >= 1, x <= 1000
twitterUserstring

Twitter username of the user

discordUserstring

Discord username of the user

steamUsernamestring

Steam username of the user

steamUserIdstring

Steam ID of the user

telegramUsernamestring

Telegram username of the user

telegramUserIdstring

Telegram ID of the user

tiktokUserstring

TikTok username of the user

redditUserstring

Reddit username of the user

redditUserIdstring

Reddit ID of the user

emailAddressstring<email>

Email address of the user

includeDelegationbooleandefault: false

Whether to include delegations in the response

Default: false
userGroupIdstring<uuid>

The ID of the user group

userGroupExternalIdentifierstring

External identifier for the user group controlled by you

externalIdentifierstring

External identifier for the user

addressstring

The address of the user

userIdany

The ID of the user

Response

application/json

200

dataarray<object>required

Schema for users response

data.idstring<uuid>required
data.temporaryLoyaltyUserboolean
data.isSnagSuperAdminbooleanrequired
data.walletAddressstringrequired
data.privyUserIdstring<uuid>
data.notificationsboolean

Whether the user has notifications enabled, only returned if includeNotifications is true

data.delegationsFromarray<object>

The delegations from the user, only returned if includeDelegation is true

data.userMetadataarray<object>
data.websiteUserAttributesarray<object>
data.referrersarray<object>
hasNextPagebooleanrequired

Indicates if there is a next page of results